libxr — developer's documentation

- Main Page
- Related Pages
- Data Structures
- Files

servlet_download_t
servlet_fini_t
servlet_init_t
servlet_method_t
servlet_upload_t
xr_server
xr_server_bind
xr_server_free
xr_server_get_ssl_context
xr_server_new
xr_server_register_servlet
xr_server_run
xr_server_simple
xr_server_stop
xr_servlet
xr_servlet_def
xr_servlet_get_client_ip
xr_servlet_get_http
xr_servlet_get_priv
xr_servlet_method_def

gboolean xr_server_run | ( | xr_server * | server,
|  | GError ** | err
| ) |  |

Run server.

This function will start listening for incomming connections and push them to the thread pool where they are handled individually.

Parameters

  server | Server object.
  err | Pointer to the variable to store error to on error.

Returns
  Function returns FALSE on fatal error or TRUE on safe stop by xr_server_stop(). Otherwise it will block, waiting for connections.

Documentation for libxr, Mon Jan 6 2014 07:31:24.